Subject: bug#19848: Minibuffer completion does not work with ECB package?

From: Stefan Kangas <[email-masked]>
Date: Sat, 02 Nov 2019 00:35:38 +0100

Thorsten Bonow <[email-masked]> writes:

>> It seems that minibuffer completion does not work properly if ECB
>> package is installed (from MELPA, with : Options | Manage Emacs 
>> Packages), and active.
>  
>> For example, if I want to strip the trailing withe spaces (M-x
>> delete-trailing-whitespace), I try
>  
>>   M-x del<TAB>
>  
>> In the minibuffer I get
>  
>> Click on a completion to select it.
>> In this buffer, type RET to select the completion near point.
>  
>> Possible completions are:
>> delete-backward-char 	delete-blank-lines
>> [...]
>   
>> but at this point, if I click on 'delete-trailing-whitespace', I get
>  
>>   Minibuffer is not active for completion
>  
>> If I try to exit with C-G, it print 'Quit', but does not exit. In short,
>> whatever I do I cannot exit minibuffer if not quitting Emacs.
>
> Hi,
>
> I don't think it's an Emacs bug. I think ECB chokes on the Emacs 25
> version of `minibuffer-completion-help' from "minibuffer.el".

The last message here suggests that this is not an Emacs bugs.  Does
anyone disagree with that?

Best regards,
Stefan Kangas